Subject: Re: [PATCH 2/3] Introduce new CPM device bindings.

From: David Gibson <[email-masked]>
Date: Fri, 31 Aug 2007 12:48:04 +1000

On Thu, Aug 30, 2007 at 09:10:46AM -0500, Scott Wood wrote:
> On Thu, Aug 30, 2007 at 03:58:12PM +1000, David Gibson wrote:
> > On Thu, Aug 30, 2007 at 12:48:54AM -0500, Scott Wood wrote:
> > > On Thu, Aug 30, 2007 at 10:55:59AM +1000, David Gibson wrote:
> > > > Am I correct in thinking that it's basically an arch/ppc versus
> > > > arch/powerpc thing.  In which case couldn't you use CONFIG_PPC_MERGE
> > > > instead?
> > > 
> > > The idea was to allow boards to be converted incrementally, as I don't
> > > have access to test 100% of the boards that use the CPM code.
> > 
> > Hrm.  Right.  This is still problematical, because what happens if you
> > have both old-binding and new-binding boards configured simultaneously?
> 
> Multiplatform will not be supported for old-binding boards.

Hmm, ok.  Well, let's try to kill the old binding off as fast as we
can, at least the portions that still infect arch/powerpc.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson